package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingFullrangeQueryactivityRequest struct {
	/*
	   查询活动入参     */
	Param0 *domain.AlibabaWdkMarketingFullrangeQueryactivityCommonActivityParam `json:"param0" required:"true" `
}

func (s *AlibabaWdkMarketingFullrangeQueryactivityRequest) SetParam0(v domain.AlibabaWdkMarketingFullrangeQueryactivityCommonActivityParam) *AlibabaWdkMarketingFullrangeQueryactivityRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaWdkMarketingFullrangeQueryactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingFullrangeQueryactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
